Get all time entries

This endpoint can be used to get all time entries. You can refine your search by adding filters. Filters are given as query parameters and have a defined structure: key is field.operator and value is value. For instance: date.gt=2023-02-11, minutes.eq=250. Apart from filters, you can add sortBy combined with sortOrder to sort the time entries. The response body is paginated and you can control the pagination using the limit and pageToken parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
string
enum

You can use the sortBy param to sort the responses by the given field. Valid fields to perform sortBy are: MINUTES, DATE, ID and BILLABLE.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
string

You can use this param to specify some date and the responses will contain time-entries whose date are greater than the given date.

string

You can use this param to specify some date and the responses will contain exact matches of time-entries that match the given date.

string

You can use this param to specify some date and the responses will contain time-entries whose date are less than the given date.

string

You can use this param to specify some date and the responses will contain time-entries whose date are greater than or equal to the given date.

string

You can use this param to specify some date and the responses will contain time-entries whose date are less than or equal to the given date.

number
deprecated

You can use this param to specify some project Id and the responses will contain exact matches of time-entries that match the given project.

number

You can use this param to specify some project Id and the responses will contain exact matches of time-entries that match the given project.

number
deprecated

You can use this param to specify some task Id and the responses will contain exact matches of time-entries that match the given task.

number

You can use this param to specify some task Id and the responses will contain exact matches of time-entries that match the given task.

number

You can use this param to provide ids of task and the responses will contain time entries whose time entries that contains the given task ids

number

You can use this param to provide ids of task and the responses will contain time entries whose time entries that contains the given task ids

number

You can use this param to specify some project phase Id and the responses will contain exact matches of time-entries that match the given phase.

number

You can use this param to specify some category Id and the responses will contain exact matches of time-entries that match the given category.

number

You can use this param to specify some user Id and the responses will contain exact matches of time-entries that belong to the user with the given user Id.

string

You can use this param to specify some email Id and the responses will contain exact matches of time-entries that belong to the user with the given email Id.

string

You can use this param to specify some text and the responses will contain time-entries that contain the given text in their email name.

string

You can use this param to specify some text and the responses will contain time-entries that DO NOT contain the given text in their email Id.

string
enum

You can use this param to specify a source type for the time entries and the responses will contain exact matches of time-entries that have the given source type.

Allowed:
string

You can use this param to specify some activity name and the responses will contain exact matches of time-entries that match the given activity name.

string

You can use this param to specify some text and the responses will contain time-entries that contain the given text in their activity name.

string

You can use this param to specify some text and the responses will contain time-entries that DO NOT contain the given text in their activity name.

string
enum

You can use this param to specify an approval status for the time entries and the responses will contain exact matches of time-entries that have the given approval type.

Allowed:
number

You can use this param to specify a submitter for the time entries and the response will contain time-entries submitted by the given user.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries submitted at the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries submitted after the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries submitted at or after the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries submitted before the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries submitted at or before the given timestamp.

number

You can use this param to specify an approver for the time entries and the response will contain time-entries approved by the given user.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries approved at the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries approved after the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries approved at or after the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries approved before the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries approved at or before the given timestamp.

number

You can use this param to specify a rejecter for the time entries and the response will contain time-entries rejected by the given user.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries rejected at the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries rejected after the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries rejected at or after the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries rejected before the given timestamp.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries rejected at or before the given timestamp.

boolean

You can use this param to specify the billable flag for the time entries and the responses will contain exact matches of time-entries that have the given billable.

boolean

You can use this parameter to specify whether responses will include the deleted time entries.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than the given time entries created date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of time entries that match the given time entries created date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than the given time entries created date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than or equal to the given time entries created date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than or equal to the given time entries created date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than the given time entries updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of time entries that match the given time entries updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than the given time entries updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than or equal to the given time entries updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than or equal to the given time entries updated date.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json